Bug 176185 - Two caching-nameserver zone files seem to be missing trailing "."
Two caching-nameserver zone files seem to be missing trailing "."
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: caching-nameserver (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 16:10 EST by Jason Vas Dias
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 06:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-12-19 16:10:42 EST
Description of problem:
On Sunday 18 December 2005 23:10, Joe Peterson <joe@skyrush.com> wrote

I've been looking into a couple of zone files in Fedora's
caching-nameserver RPM, and it seems to me that perhaps there is a
problem.  Please let me know if I have interpretted this incorrectly.

The files are:

        /var/named/[chroot...]/named.zero
        /var/named/[chroot...]/named.broadcast

These files are the same, and they specify "localhost" as the SOA and
namesever.  But "localhost" does not have a trailing ".".  These files
are referenced by default from the zones "0.in-addr.arpa" and
"255.in-addr.arpa", so the "localhost" gets intrepretted as a relative
name within these domains, making the SOA (and NS)
"localhost.0.in-addr.arpa" and "localhost.255.in-addr.arpa" on lookup
(e.g. with "dig").

I would think that this could cause undesirable lookups on the root
nameservers, which is what these two zones are trying to prevent.  I
modified the zone files to be:

-------------------
$TTL    86400
@               IN SOA  localhost.      root.localhost. (
                                        42              ; serial (d. adams)
                                        3H              ; refresh
                                        15M             ; retry
                                        1W              ; expiry
                                        1D )            ; minimum
        IN      NS      localhost.
-------------------

...and it seems to work the way I expect.  Note that I also added
".localhost." after "root" in the email part of the SOA.

Version-Release number of selected component (if applicable):
caching-nameserver-7.3-3

How reproducible:
100%
Comment 1 Jason Vas Dias 2005-12-19 16:12:03 EST
This problem was fixed in CVS, but somehow the files in 7.3-3 were not 
in sync with CVS - producing 7.3-4 .
Comment 2 Fedora Update System 2005-12-19 20:21:46 EST
From User-Agent: XML-RPC

caching-nameserver-7.3-4.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2005-12-19 20:21:54 EST
From User-Agent: XML-RPC

caching-nameserver-7.3-4.FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Matthew Miller 2006-07-10 18:06:41 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Martin Stransky 2006-08-17 06:44:30 EDT
Please reopen if this problem still persist.

Note You need to log in before you can comment on or make changes to this bug.